# $Revision: 1.22 $, $Date: 2009/12/08 08:04:01 $
#
Summary:	QtPFSGui - HDR Image compositor
Summary(pl.UTF-8):	QtPFSGui - narzędzie do składania obrazów HDR
Name:		qtpfsgui
Version:	1.9.3
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/qtpfsgui/%{name}-%{version}.tar.gz
# Source0-md5:	5a6421391e373c912e4a793e131151c8
URL:		http://qtpfsgui.sourceforge.net/
BuildRequires:	OpenEXR-devel
BuildRequires:	QtGui-devel
BuildRequires:	exiv2-devel
BuildRequires:	fftw3-single-devel
BuildRequires:	libgomp-devel
BuildRequires:	libtiff-devel
BuildRequires:	qt-linguist
BuildRequires:	qt4-build >= 4.3.3-3
BuildRequires:	qt4-qmake >= 4.3.3-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QtPFSGui - HDR Image compositor.

%description -l pl.UTF-8
QtPFSGui - narzędzie do składania obrazów HDR.

%prep
%setup -q

sed -i -e '/^QMAKE_CXXFLAGS += / s/-msse2/%{rpmcflags}/' project.pro

%build
qmake-qt4 PREFIX=%{_prefix}
%{__make}
lrelease project.pro

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/i18n

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT
%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/{AUTHORS,Changelog,INSTALL,LICENSE,README}

cp -f i18n/lang_*.qm $RPM_BUILD_ROOT%{_datadir}/%{name}/i18n

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changelog README TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/qtpfsgui.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/html
%dir %{_datadir}/%{name}/i18n
%lang(cs) %{_datadir}/%{name}/i18n/lang_cs.qm
%lang(de) %{_datadir}/%{name}/i18n/lang_de.qm
%lang(es) %{_datadir}/%{name}/i18n/lang_es.qm
%lang(fr) %{_datadir}/%{name}/i18n/lang_fr.qm
%lang(hu) %{_datadir}/%{name}/i18n/lang_hu.qm
%lang(id) %{_datadir}/%{name}/i18n/lang_id.qm
%lang(it) %{_datadir}/%{name}/i18n/lang_it.qm
%lang(pl) %{_datadir}/%{name}/i18n/lang_pl.qm
%lang(ru) %{_datadir}/%{name}/i18n/lang_ru.qm
%lang(tr) %{_datadir}/%{name}/i18n/lang_tr.qm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qtpfsgui.spec,v $
Revision 1.22  2009/12/08 08:04:01  paszczus
- rebuild with exiv2 0.18.2
- rel 2

Revision 1.21  2009/10/30 22:10:43  sls
- BR: libgomp-devel

Revision 1.20  2009/06/28 23:15:29  gotar
- replace -msse2 (doesn't even exists on PPC) with %rpmcflags

Revision 1.19  2009/06/28 18:15:46  gotar
- build locales in proper section, fixed file listing

Revision 1.18  2009/06/28 18:09:53  gotar
- upgraded to 1.9.3; removed obsoleted gcc43 patch, build localization

Revision 1.17  2008/07/21 14:09:03  sls
- adapterized

Revision 1.16  2008/07/21 13:16:01  sls
- packaged _datadir/name too

Revision 1.15  2008/07/21 13:12:16  sls
- use proper installation prefix
- packaged more files (TODO done)
- rel. 0.3

Revision 1.14  2008/07/21 12:13:51  sls
- added gcc43.patch

Revision 1.13  2008/07/21 11:10:26  sls
- BR: libtiff-devel

Revision 1.12  2008/07/18 11:02:13  hawk
- release 0.2

Revision 1.11  2008/01/04 19:25:32  qboosh
- qt4-qmake -> qmake-qt4

Revision 1.10  2007-12-04 20:32:26  beorn
- Added missing BR

Revision 1.9  2007/08/20 17:48:37  qboosh
- unified sf URL

Revision 1.8  2007/08/17 23:09:41  aflinta
 - up to 1.8.12
 - added TODO

Revision 1.7  2007/05/17 22:12:45  vip
- up to 1.8.8

Revision 1.6  2007/04/01 21:52:30  qboosh
- sorted BRs

Revision 1.5  2007/04/01 21:26:04  adasi
- up to 1.8.3, br

Revision 1.4  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.2  2007/01/14 22:41:45  qboosh
- pl, dropped bogus install -d

Revision 1.1  2007/01/01 21:26:56  aredridel
- added
